@echo off
setlocal
set SCRIPT=itsodb2binddb %1 %2 %3
call itsoenvsetup
echo *** START: %SCRIPT% ***
echo About to update ODBC settings and bind database %1:
if not @%PAUSE_AT_EACH_STEP%@ == @no@ pause
echo REGEDIT4 > %1.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE\ODBC\ODBC.INI\%1] >> %1.reg
echo "Driver"="%DB2DRV%\\%DB2DIR%\\BIN\\DB2CLI.DLL" >> %1.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE\ODBC\ODBC.INI\ODBC Data Sources] >> %1.reg
echo "%1"="IBM DB2 ODBC DRIVER" >> %1.reg
regedit -s %1.reg
del %1.reg
del %1.DB2
if not @%2@ == @%3@ echo uncatalog node %1 >> %1.db2
if not @%2@ == @%3@ echo catalog tcpip node %1 remote %2 server 50000 >> %1.db2
if not @%2@ == @%3@ echo uncatalog db %1 >> %1.db2
if not @%2@ == @%3@ echo catalog db %1 as %1 at node %1 >> %1.db2
echo CONNECT TO %1 USER %MQSIUSER% USING %MQSIPASS% >> %1.DB2
echo BIND %DB2ENV%\BND\@DB2CLI.LST BLOCKING ALL GRANT PUBLIC >> %1.DB2
echo CONNECT RESET >> %1.DB2
type %1.DB2
db2cmd /c /w /i db2 -f %1.DB2
del %1.DB2
echo ***   END: %SCRIPT% ***
if not @%PAUSE_AT_EACH_STEP%@ == @no@ pause
endlocal